# Buyer Transfer

Transfers a Buyer object with all its dependencies between Accounts sharing the same External ID.

## POST /public/v1/accounts/buyers/{id}/transfer

>

```json
{"openapi":"3.0.1","info":{"title":"Marketplace API","version":"5.0.5102-g2bf281b6"},"servers":[{"url":"https://api.platform.softwareone.com"}],"paths":{"/public/v1/accounts/buyers/{id}/transfer":{"post":{"tags":["Buyers"],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/BuyerTransfer"}]}},"text/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/BuyerTransfer"}]}},"application/*+json":{"schema":{"allOf":[{"$ref":"#/components/schemas/BuyerTransfer"}]}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Buyer"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"BuyerTransfer":{"required":["account"],"type":"object","properties":{"id":{"type":"string"},"audit":{"allOf":[{"$ref":"#/components/schemas/BuyerAudit"}]},"$meta":{"allOf":[{"$ref":"#/components/schemas/PlatformMetadata"}],"nullable":true},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"},"externalIds":{"allOf":[{"$ref":"#/components/schemas/BuyerExternalIds"}],"nullable":true},"status":{"allOf":[{"$ref":"#/components/schemas/BuyerStatus"}],"nullable":true},"address":{"allOf":[{"$ref":"#/components/schemas/Address"}],"nullable":true},"taxId":{"type":"string","nullable":true},"account":{"type":"object","allOf":[{"$ref":"#/components/schemas/AccountRef"}]},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ParametrisedMessage"},"nullable":true},"sellers":{"type":"array","items":{"$ref":"#/components/schemas/SellerRef"},"nullable":true}},"additionalProperties":false},"BuyerAudit":{"type":"object","properties":{"created":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"updated":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"activated":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"unassigned":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"disabled":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true}},"additionalProperties":false},"PlatformObjectEvent":{"type":"object","properties":{"at":{"type":"string","format":"date-time","nullable":true},"by":{"type":"object","allOf":[{"$ref":"#/components/schemas/PlatformIdentityRef"}]}},"additionalProperties":false},"PlatformIdentityRef":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"}},"additionalProperties":false},"PlatformMetadata":{"type":"object","properties":{"omitted":{"type":"array","items":{"type":"string"}}},"additionalProperties":false},"BuyerExternalIds":{"type":"object","properties":{"erpCompanyContact":{"type":"string","nullable":true},"erpCustomer":{"type":"string","nullable":true},"accountExternalId":{"type":"string","nullable":true}},"additionalProperties":false},"BuyerStatus":{"enum":["Active","Enabled","Disabled","Deleted","Unassigned","Conflict","Mismatch"],"type":"string"},"Address":{"type":"object","properties":{"addressLine1":{"type":"string","nullable":true},"addressLine2":{"type":"string","nullable":true},"postCode":{"type":"string","nullable":true},"city":{"type":"string","nullable":true},"state":{"type":"string","nullable":true},"country":{"type":"string","nullable":true}},"additionalProperties":false},"AccountRef":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"},"type":{"allOf":[{"$ref":"#/components/schemas/AccountType"}],"nullable":true},"status":{"allOf":[{"$ref":"#/components/schemas/AccountStatus"}],"nullable":true}},"additionalProperties":false},"AccountType":{"enum":["Client","Vendor","Operations"],"type":"string"},"AccountStatus":{"enum":["Active","Enabled","Disabled"],"type":"string"},"ParametrisedMessage":{"type":"object","properties":{"id":{"type":"string","nullable":true},"message":{"type":"string","nullable":true},"parameters":{"nullable":true}},"additionalProperties":false},"SellerRef":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"},"externalId":{"type":"string","nullable":true}},"additionalProperties":false},"Buyer":{"type":"object","properties":{"id":{"type":"string"},"audit":{"allOf":[{"$ref":"#/components/schemas/BuyerAudit"}]},"$meta":{"allOf":[{"$ref":"#/components/schemas/PlatformMetadata"}],"nullable":true},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"},"externalIds":{"allOf":[{"$ref":"#/components/schemas/BuyerExternalIds"}],"nullable":true},"status":{"allOf":[{"$ref":"#/components/schemas/BuyerStatus"}],"nullable":true},"address":{"allOf":[{"$ref":"#/components/schemas/Address"}],"nullable":true},"taxId":{"type":"string","nullable":true},"account":{"type":"object","allOf":[{"$ref":"#/components/schemas/AccountRef"}]},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ParametrisedMessage"},"nullable":true},"sellers":{"type":"array","items":{"$ref":"#/components/schemas/SellerRef"},"nullable":true}},"additionalProperties":false},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```
